{
  "name": "table/external/4d/manager/resource/work_capacity_row.json",
  "table_name": "work_capacity_row",
  "table_prefix": "wcr",
  "table_number": 56,
  "table_name_local": "capacity_row",
  "record_type_local": "capacity",
  "field": [
  {
    "type": "varchar",
    "length": 90,
    "field_number": 5,
    "name": "change_id"
  },
  {
    "type": "varchar",
    "length": 80,
    "field_number": 21,
    "name": "color"
  },
  {
    "type": "varchar",
    "length": 40,
    "field_number": 6,
    "name": "creator_id"
  },
  {
    "field_number": 14,
    "nullable": true,
    "type": "varchar",
    "length": 24,
    "name": "employee_id",
    "foreign_key": {
      "field": "employee_id",
      "table": "employee"
    }
  },
  {
    "type": "date",
    "field_number": 17,
    "name": "end_date"
  },
  {
    "type": "time without time zone",
    "field_number": 18,
    "name": "end_time"
  },
  {
    "type": "integer",
    "field_number": 12,
    "name": "firm_id"
  },
  {
    "type": "double",
    "field_number": 11,
    "name": "gross_capacity"
  },
  {
    "type": "varchar",
    "length": 0,
    "field_number": 22,
    "name": "info"
  },
  {
    "type": "varchar",
    "length": 40,
    "field_number": 7,
    "name": "modifier_id"
  },
  {
    "type": "varchar",
    "length": 160,
    "field_number": 2,
    "name": "name"
  },
  {
    "field_number": 1,
    "type": "varchar",
    "length": 90,
    "name": "record_id",
    "constraint": [
      "unique"
    ]
  },
  {
    "type": "varchar",
    "length": 40,
    "field_number": 10,
    "name": "repeat_rule"
  },
  {
    "type": "integer",
    "field_number": 20,
    "name": "shift"
  },
  {
    "type": "date",
    "field_number": 15,
    "name": "start_date"
  },
  {
    "type": "time without time zone",
    "field_number": 16,
    "name": "start_time"
  },
  {
    "type": "integer",
    "field_number": 4,
    "name": "state"
  },
  {
    "type": "varchar",
    "length": 120,
    "field_number": 8,
    "name": "transfer_id"
  },
  {
    "type": "integer",
    "field_number": 9,
    "name": "transfer_state"
  },
  {
    "type": "integer",
    "field_number": 3,
    "name": "type_"
  },
  {
    "type": "integer",
    "field_number": 19,
    "name": "weekday"
  },
  {
    "field_number": 23,
    "nullable": true,
    "type": "varchar",
    "length": 80,
    "name": "work_capacity_id",
    "foreign_key": {
      "field": "work_capacity_id",
      "table": "work_capacity"
    }
  },
  {
    "field_number": 13,
    "nullable": true,
    "type": "varchar",
    "length": 24,
    "name": "work_load_group_id",
    "foreign_key": {
      "field": "work_load_group_id",
      "table": "work_load_group"
    }
  }
]
}
